package com.gic.haoban.manage.service.service;

import java.util.List;

import com.gic.haoban.manage.api.dto.TemplateEnterpriseRelatedDTO;

public interface TemplateEnterpriseRelatedService {

	List<TemplateEnterpriseRelatedDTO> listEnterpriseByTemplateId(String templateId);

	TemplateEnterpriseRelatedDTO selectByWxEnterpriseId(String wxEnterpriseId);

	void insert(TemplateEnterpriseRelatedDTO dto);

	void update(TemplateEnterpriseRelatedDTO dto);

	List<TemplateEnterpriseRelatedDTO> listEnterpriseByParams(String applicationTemplateId, List<String> wxEnterpriseIds, String wxEnterpriseName);

}
